part of YFree;

///YFree启动函数
void yRunApp({
  required Future<YPage> Function() onLaunchPage,
  MaterialColor? primarySwatch,
  required Function() onYConfig,
  Function(BuildContext context, Widget? child)? builder,
  ThemeData? theme,
  Function()? onYRan,
}) {
  Deferred_Main.loadLibrary().then(
    (value) async => Deferred_Main.yRunApp(
      launchPage: await onLaunchPage.call(),
      primarySwatch: primarySwatch,
      onYConfig: onYConfig,
      builder: builder,
      theme: theme,
      onYRan: onYRan,
    ),
  );
}
